package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.MarketAimPlace;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.MarketAimPlaceMapper")
public interface MarketAimPlaceMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(MarketAimPlace record);

    MarketAimPlace selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MarketAimPlace record);

    List<MarketAimPlace> queryAllMarketAimPlace(MarketAimPlace record);

    List<MarketAimPlace> queryMarketAimPlaceByPage(Map<String, Object> parameter);

    int delete(MarketAimPlace record);

    MarketAimPlace queryMarketAimPlace(MarketAimPlace record);

    List<MarketAimPlace> query(MarketAimPlace record);
}

